×
Kunena 5.1.6.1 Released - Security Release (09 Nov 2018)

The Kunena team has announce the arrival of Kunena 5.1.6 [K 5.1.6] which is now available for download as a native Joomla extension for J! 3.9.x. This version addresses most of the issues that were discovered in K 5.1 and issues discovered during the development stages of K 5.1. This is a Security release.

K5.1.6.1 is a install update.

× This is for users to help other users, to discuss topics that are related to forum administration in general or problems in running Joomla. This is not the place to ask for Joomla support. If you want assistance with Joomla please ask at forum.joomla.org

Question Legacy mode off, but site stops working. How to solve?

More
7 years 3 months ago #1 by iLucato
Hi folks, I was trying to disable Legacy Mode and when trying to access the site, any link shows the message:

Direct Access to this location is not allowed.

Any Idea why? How can I make it works ok? What updated softwares do I need. Here is the Kunena settings:

This message contains confidential information

Database collation check: The collation of your table fields are correct

Legacy mode: Enabled | Joomla! SEF: Disabled | Joomla! SEF rewrite: Disabled | FTP layer: Enabled |

This message contains confidential information
htaccess: Exists | PHP environment: Max execution time: 30 seconds | Max execution memory: 64M | Max file upload: 10M

This message contains confidential information

Joomla default template details : EsferaDoBem_rhuk_milkyway | author: Andy Miller | version: 1.0.2 | creationdate: 11/20/06

Kunena default template details : EsferaDoBem 164 | author: Luis C. Torres | version: 1.6.4 | creationdate: 2011-05-21

Kunena version detailled: Installed version: 1.6.5-DEV | Build: 5001 | Version name: Rename Me for Release! | Kunena detailled configuration:

Warning: Spoiler! [ Click to expand ]

Third-party components: AlphaUserPoints 1.5.13 | CommunityBuilder 1.4 | UddeIm

Third-party SEF components: None

Plugins: System - Mootools Upgrade: Enabled | System - Mootools12: Disabled

Modules: Kunena Latest 1.6.4 | Kunena Search 1.6.4



Thanks in advance.

Kunena 2.0.4 | 2013-01-18 [ Pharmacopoeia ], J!1.5.25, rhuk_milkyway, CB 1.8.1, AUP 1.5.13, UddeIM 2.5 and Akeeba Backup 3.3.9

EsferaDoBem.com.br | iLucato.com.br | BemDoado.com.br

Please Log in or Create an account to join the conversation.

  • sozzled
  • Visitor
7 years 3 months ago - 7 years 3 months ago #2 by sozzled

iLucato wrote: Direct Access to this location is not allowed.

When you get this message it means that you have a really old J! 1.0 extension (a template, a component, a plugin, a module or a language) that needs Joomla 1.0. Yes, Joomla 1.0 (or you need "legacy mode").

Please read the article Legacy mode in the Wiki. Please also read the topic Joomla legacy mode and Kunena which explains how to find out more about that old, outdated software that you're running and how you should get rid of it.

For the purposes of testing new releases of Kunena, we absolutely exclude outdated J! 1.0 software or the use of legacy mode. If your production website uses legacy mode, that's a different matter but, as part of the official testing policy for Kunena, the project cannot function reliably if there is even the slightest possibility that the cause of problems in versions under development are caused by external factors that are totally outside the project's control ... as is the case here.

No one is saying that you cannot use legacy mode for your production website, whether you use Kunena or not. However, for the purposes only of testing, the test policy requires a testing platform that is fully supported by Joomla (in other words, a site that is normally representative of what most other people will use). "Legacy mode" was never officially supported by Joomla.
Last edit: 7 years 3 months ago by sozzled.

Please Log in or Create an account to join the conversation.

More
7 years 3 months ago - 7 years 3 months ago #3 by iLucato
Hi Sozzled, thanks for the quick reply and all further info. I appreciated that. I didn't have idea what is Legacy and didn't know that was runing with it. All will check all provided info and will try to get rid of it and try to keep Kunena test as the best and newest configurations as possible to try to help Kunena dev team/community also for my production site.

Btw, is there some way to know what modules, plug-ins or whatever are requesting the J1.0/Legacy?

Have nice day

Kunena 2.0.4 | 2013-01-18 [ Pharmacopoeia ], J!1.5.25, rhuk_milkyway, CB 1.8.1, AUP 1.5.13, UddeIM 2.5 and Akeeba Backup 3.3.9

EsferaDoBem.com.br | iLucato.com.br | BemDoado.com.br
Last edit: 7 years 3 months ago by iLucato.

Please Log in or Create an account to join the conversation.

  • sozzled
  • Visitor
7 years 3 months ago - 6 years 11 months ago #4 by sozzled

iLucato wrote: Btw, is there some way to know what modules, plug-ins or whatever are requesting the J1.0/Legacy?

Yes. Msg #9 in Joomla legacy mode and Kunena explains all of that.
Last edit: 6 years 11 months ago by sozzled.

Please Log in or Create an account to join the conversation.

More
7 years 3 months ago #5 by iLucato
Thanks again! I'll check all that as soon as I get time.

Kunena 2.0.4 | 2013-01-18 [ Pharmacopoeia ], J!1.5.25, rhuk_milkyway, CB 1.8.1, AUP 1.5.13, UddeIM 2.5 and Akeeba Backup 3.3.9

EsferaDoBem.com.br | iLucato.com.br | BemDoado.com.br

Please Log in or Create an account to join the conversation.

More
7 years 1 month ago #6 by godweb
Hi,

I was trying to disable Legacy Mode but site stops working (it show only the header). So I have delete or updated all components, modules and plugins that required the Legacy Mode "ON", but the site don't work without Legacy yet.

Any suggest?

Please Log in or Create an account to join the conversation.

More
7 years 1 month ago #7 by xillibit
Hello,

Do you know which components/modules/plugins needs legacy mode enabled ?

I don't provide support by PM, because this can be useful for someone else.

Please Log in or Create an account to join the conversation.

More
7 years 1 month ago #8 by godweb
I had some components and modules needs Legacy Mode enabled, but I removed (or upgraded) them and now all is green.

But the website don't work if I switch off the Legacy plugin :S

Please Log in or Create an account to join the conversation.

More
7 years 1 month ago #9 by iLucato
Yup the same issue here. I think even being green some stuffs won't work. I have no clue. Maybe Community builders and UddeIM and others. I don't know. I tried to deactive some of them and no great results. I will need to update Joomla to 1.7 and Kunena I think, but it seems that will be a hard work to get to retrieve all my uses and posts from the old Joomla and Kunena, which I have no Idea how to procedure too. I tried Jupgrade, but didn't work! So, I'm stuck in the old version.

Kunena 2.0.4 | 2013-01-18 [ Pharmacopoeia ], J!1.5.25, rhuk_milkyway, CB 1.8.1, AUP 1.5.13, UddeIM 2.5 and Akeeba Backup 3.3.9

EsferaDoBem.com.br | iLucato.com.br | BemDoado.com.br

Please Log in or Create an account to join the conversation.

More
7 years 1 month ago #10 by xillibit
@godweb : What do you mean by website doesn't work with legacy disabled ?

I don't provide support by PM, because this can be useful for someone else.

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to add attachements.
  • Not Allowed: to edit your message.
Time to create page: 0.132 seconds